### Method

# Pango Matrix copy

since: 1.6

#### Declaration [src]

    PangoMatrix*
    pango_matrix_copy (
      const PangoMatrix* matrix
    )

#### Description [src]

Copies a `PangoMatrix`.

Available since: 1.6

#### Parameters

`matrix`

  Type: `PangoMatrix`

  A `PangoMatrix`.

  The argument can be `NULL`.

#### Return value

Type: `PangoMatrix`

The newly allocated `PangoMatrix`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.